ServerEvents.recipes(event => 
	{


		//Railcraft Recipes
            event.remove({type: 'railcraft:crusher'})
            //event.remove({type: 'railcraft:blast_furnace'})

        //Crafting

            event.remove({id: 'railcraft:track_undercutter'})
            event.remove({id: 'railcraft:track_relayer'})
            event.remove({id: 'railcraft:track_layer'})
            event.remove({id: 'railcraft:steel_ingot'})
            event.remove({id: 'railcraft:steel_ingot_from_steel_nugget'})
            event.remove({id: 'railcraft:steel_nugget'})
            event.remove({id: 'railcraft:steel_helmet'})
            event.remove({id: 'railcraft:steel_chestplate'})
            event.remove({id: 'railcraft:steel_leggings'})
            event.remove({id: 'railcraft:steel_boots'})
            event.remove({id: 'railcraft:steel_shovel'})
            event.remove({id: 'railcraft:steel_pickaxe'})
            event.remove({id: 'railcraft:steel_axe'})
            event.remove({id: 'railcraft:steel_hoe'})
            event.remove({id: 'railcraft:steel_shears'})
            event.remove({id: 'railcraft:steel_sword'})
            event.remove({id: 'railcraft:steel_tank_gauge'})
            event.remove({id: 'railcraft:steel_tank_valve'})
            event.remove({id: 'railcraft:steel_tank_wall'})
            event.remove({id: 'railcraft:dumping_track_kit'})
            event.remove({id: 'railcraft:brass_ingot_crafted_with_ingots'})
            event.remove({id: 'railcraft:brass_ingot'})
            event.remove({id: 'railcraft:brass_ingot_from_brass_nugget'})
            event.remove({id: 'railcraft:frame_brass_plate'})
            event.remove({id: 'railcraft:frame_bronze_plate'})
            event.remove({id: 'railcraft:frame_steel_plate'})
            event.remove({id: 'railcraft:frame_iron_plate'})
            event.remove({id: 'railcraft:steam_locomotive'})
            event.remove({id: 'railcraft:steam_oven'})
            event.remove({id: 'railcraft:steel_anvil'})           
            event.remove({id: 'railcraft:coke_oven_bricks'})
            event.remove({id: 'railcraft:torch_creosote'})
            event.remove({id: 'railcraft:steam_turbine'})
            event.remove({id: 'railcraft:electric_locomotive'})
            event.remove({id: 'railcraft:zinc_ingot_from_zinc_nugget'})
            event.remove({id: 'railcraft:zinc_ingot'})
            event.remove({id: 'minecraft:zinc_ingot_from_smelting_zinc_raw'})
            event.remove({id: 'minecraft:zinc_ingot_from_smelting_zinc_ore'})
            event.remove({id: 'minecraft:zinc_ingot_from_smelting_deepslate_zinc_ore'})
            event.remove({id: 'railcraft:zinc_block_from_zinc_ingot'})
            event.remove({id: 'railcraft:zinc_gear'})
            event.remove({id: 'railcraft:zinc_nugget'})
            event.remove({id: 'railcraft:manual_rolling_machine'})
            event.remove({id: 'railcraft:steel_block_from_steel_ingot'})
            event.remove({id: 'railcraft:tunnel_bore'})
            event.remove({id: 'railcraft:stone_tie'})
            event.remove({id: 'railcraft:stone_railbed'})
            event.remove({id: 'railcraft:coal_coke'})
            event.remove({id: 'railcraft:coke_block_from_coal_coke'})
            event.remove({id: 'railcraft:bronze_ingot_crafted_with_ingots'})
            event.remove({id: 'railcraft:water_tank_siding'})
            event.remove({id: 'railcraft:villager_detector'})
            event.remove({id: 'railcraft:track_remover'})


            event.remove({id: 'railcraft:lead_ingot'})
            event.remove({id: 'railcraft:lead_ingot_from_lead_nugget'})
            event.remove({id: 'railcraft:lead_block_from_lead_ingot'})
            event.remove({id: 'railcraft:lead_nugget'})
            event.remove({id: 'railcraft:nickel_ingot'})
            event.remove({id: 'railcraft:nickel_ingot_from_nickel_nugget'})
            event.remove({id: 'railcraft:nickel_block_from_nickel_ingot'})
            event.remove({id: 'railcraft:nickel_nugget'})
            event.remove({id: 'railcraft:silver_ingot'})
            event.remove({id: 'railcraft:silver_ingot_from_silver_nugget'})
            event.remove({id: 'railcraft:silver_block_from_silver_ingot'})
            event.remove({id: 'railcraft:silver_nugget'})
            event.remove({id: 'railcraft:tin_ingot'})
            event.remove({id: 'railcraft:tin_ingot_from_tin_nugget'})
            event.remove({id: 'railcraft:tin_block_from_tin_ingot'})
            event.remove({id: 'railcraft:tin_nugget'})
            event.remove({id: 'railcraft:zinc_ingot'})
            event.remove({id: 'railcraft:zinc_ingot_from_zinc_nugget'})
            event.remove({id: 'create:zinc_block_from_zinc_ingot'})
            event.remove({id: 'railcraft:zinc_nugget'})
            event.remove({id: 'railcraft:bronze_ingot'})
            event.remove({id: 'railcraft:bronze_ingot_from_bronze_nugget'})
            event.remove({id: 'railcraft:bronze_block_from_bronze_ingot'})
            event.remove({id: 'railcraft:bronze_nugget'})
            event.remove({id: 'railcraft:bronze_tunnel_bore_head'})
            event.remove({id: 'railcraft:iron_crowbar'})
            event.remove({id: 'railcraft:train_detector'})
            event.remove({id: 'railcraft:tank_detector'})
            event.remove({id: 'railcraft:routing_detector'})
            event.remove({id: 'railcraft:player_detector'})
            event.remove({id: 'railcraft:mob_detector'})
            event.remove({id: 'railcraft:locomotive_detector'})
            event.remove({id: 'railcraft:item_detector'})
            event.remove({id: 'railcraft:empty_detector'})
            event.remove({id: 'railcraft:animal_detector'})
            event.remove({id: 'railcraft:any_detector'})
            event.remove({id: 'railcraft:age_detector'})
            event.remove({id: 'railcraft:advanced_detector'})
            event.remove({id: 'railcraft:item_loader'})
            event.remove({id: 'railcraft:advanced_item_loader'})
            event.remove({id: 'railcraft:item_unloader'})
            event.remove({id: 'railcraft:advanced_item_unloader'})
            



            //event.remove({input: 'railcraft:sulfur_dust'})
            

            event.remove({id: 'railcraft:crusher'})
            event.remove({id: 'railcraft:feed_station'})
            event.remove({id: 'railcraft:blast_furnace_bricks'})
            event.remove({output: 'railcraft:nickel_ingot'})
            event.remove({output: 'railcraft:bag_of_cement'})
            event.remove({output: 'railcraft:bag_of_cement_slag'})
            event.remove({output: 'railcraft:iron_tunnel_bore_head'})
            event.remove({id: 'railcraft:bushing_gear_brass'})
            event.remove({id: 'railcraft:bushing_gear_bronze'})
            event.remove({id: 'railcraft:charge_terminal'})
            event.remove({id: 'railcraft:force_track_emitter'})
            event.remove({id: 'railcraft:charge_motor'})
            event.remove({id: 'railcraft:iron_tank_wall'})
            event.remove({id: 'railcraft:iron_tank_gauge'})
            event.remove({id: 'railcraft:iron_tank_valve'})
            event.remove({id: 'railcraft:charge_coil'})
            event.remove({id: 'railcraft:low_pressure_steam_boiler_tank'})
            event.remove({id: 'railcraft:fluid_fueled_firebox'})
            event.remove({id: 'railcraft:solid_fueled_firebox'})
            event.remove({id: 'railcraft:high_pressure_steam_boiler_tank'})
            event.remove({id: 'railcraft:strengthened_glass_invar'})
            event.remove({id: 'railcraft:invar_gear'})
            event.remove({id: 'railcraft:wooden_rail'})
            event.remove({id: 'railcraft:invar_block_from_invar_ingot'})
            event.remove({id: 'railcraft:invar_nugget'})
            event.remove({id: 'railcraft:invar_ingot'})
            event.remove({id: 'railcraft:invar_ingot_from_invar_nugget'})
            event.remove({id: 'railcraft:invar_ingot_crafted_with_ingots'})

            // Remove existing Railcraft track recipes
            event.remove({id: 'railcraft:abandoned_track'})
            event.remove({id: 'railcraft:electric_track'})
            event.remove({id: 'railcraft:high_speed_track'})
            event.remove({id: 'railcraft:reinforced_track'})
            event.remove({id: 'railcraft:strap_iron_track'})
            event.remove({id: 'railcraft:high_speed_electric_track'})
            event.remove({id: 'railcraft:elevator_track'})
            event.remove({id: 'railcraft:abandoned_wye_track'})
            event.remove({id: 'railcraft:abandoned_turnout_track'})
            event.remove({id: 'railcraft:abandoned_junction_track'})
            event.remove({id: 'railcraft:iron_wye_track'})
            event.remove({id: 'railcraft:iron_turnout_track'})
            event.remove({id: 'railcraft:iron_junction_track'})
            event.remove({id: 'railcraft:strap_iron_wye_track'})
            event.remove({id: 'railcraft:strap_iron_turnout_track'})
            event.remove({id: 'railcraft:strap_iron_junction_track'})
            event.remove({id: 'railcraft:reinforced_wye_track'})
            event.remove({id: 'railcraft:reinforced_turnout_track'})
            event.remove({id: 'railcraft:reinforced_junction_track'})
            event.remove({id: 'railcraft:electric_wye_track'})
            event.remove({id: 'railcraft:electric_turnout_track'})
            event.remove({id: 'railcraft:electric_junction_track'})
            event.remove({id: 'railcraft:high_speed_electric_wye_track'})
            event.remove({id: 'railcraft:high_speed_electric_turnout_track'})
            event.remove({id: 'railcraft:high_speed_electric_junction_track'})
            event.remove({id: 'railcraft:high_speed_wye_track'})
            event.remove({id: 'railcraft:high_speed_turnout_track'})
            event.remove({id: 'railcraft:high_speed_junction_track'})




        //Rolling

        event.remove({id: 'railcraft:rolling/black_post'})
        event.remove({id: 'railcraft:rolling/brass_plate'})
        event.remove({id: 'railcraft:rolling/rebar_invar'})
        event.remove({id: 'railcraft:rolling/rebar_iron'})
        event.remove({id: 'railcraft:rolling/zinc_electrode'})
        event.remove({id: 'railcraft:rolling/nickel_electrode'})
        event.remove({id: 'railcraft:rolling/lead_electrode'})
        event.remove({id: 'railcraft:rolling/copper_electrode'})
        event.remove({id: 'railcraft:rolling/brass_electrode'})
        event.remove({id: 'railcraft:rolling/bronze_electrode'})
        event.remove({id: 'railcraft:rolling/silver_electrode'})
        event.remove({id: 'railcraft:rolling/tin_electrode'})
        event.remove({id: 'railcraft:rolling/gold_electrode'})
        event.remove({id: 'railcraft:rolling/steel_electrode'})
        event.remove({id: 'railcraft:rolling/iron_electrode'})
        event.remove({id: 'railcraft:rolling/nickel_turbine_blade'})
        event.remove({id: 'railcraft:rolling/steel_turbine_blade'})
        event.remove({id: 'railcraft:rolling/bushing_gear_brass'})
        event.remove({id: 'railcraft:rolling/bushing_gear_bronze'})
        event.remove({id: 'railcraft:rolling/nickel_turbine_blade'})
        event.remove({id: 'railcraft:rolling/steel_turbine_blade'})
        event.remove({id: 'railcraft:rolling/invar_electrode'})
        event.remove({id: 'railcraft:rolling/invar_reinforced_rail'})
        event.remove({id: 'railcraft:rolling/invar_rail'})
        event.remove({id: 'railcraft:rolling/bronze_rail'})
        event.remove({id: 'railcraft:rolling/standard_rail'})
        event.remove({id: 'railcraft:rolling/track_parts_bronze_nugget'})
        event.remove({id: 'railcraft:rolling/track_parts_iron_nugget'})
        event.remove({id: 'railcraft:rolling/charge_spool_large'})
        event.remove({id: 'railcraft:rolling/steel_rail'})





        //Coke Oven Smelting
                event.remove({id: 'railcraft:coke_oven_bricks'})
                event.remove({id: 'railcraft:coke_oven/coal_coke_block'})
                event.remove({id: 'railcraft:coke_oven/coal_coke'})
                event.remove({id: 'railcraft:coke_oven/charcoal'})






    }
)